package com.ruoyi.web.controller.carrier.issued;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.carrier.TdCarrierIssued;
import com.ruoyi.web.controller.manager.CarrierIssuedManager;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 维修Controller
 */
@Controller
@RequestMapping("/system/maintainIssued")
public class MaintainIssuedController extends BaseController {
    private String prefix = "system/maintainIssued";

    @Resource
    private CarrierIssuedManager carrierIssuedManager;
    @RequiresPermissions("system:maintainIssued:view")
    @GetMapping()
    public String maintainIssued() {
        return prefix + "/maintainIssued";
    }

    /**
     * 载体列表
     */
    @RequiresPermissions("system:maintainIssued:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(TdCarrierIssued tdCarrierIssued) {
        startPage();
        List<TdCarrierIssued> carriers = carrierIssuedManager.selectTdCarrierUpdateList(tdCarrierIssued);
        return getDataTable(carriers);
    }

    /**
     * 国家秘密载体维修
     */
    @RequiresPermissions("system:maintainIssued:edit")
    @GetMapping("/edit/{id}")
    public String edit(@PathVariable("id") String id, ModelMap mmap) {
        TdCarrierIssued tdCarrierIssued = carrierIssuedManager.selectTdCarrier(id);
        mmap.put("tdCarrierIssued", tdCarrierIssued);
        return prefix + "/edit";
    }

    /**
     * 国家秘密载体维修
     */
    @RequiresPermissions("system:maintainIssued:edit")
    @Log(title = "国家秘密载体维修", businessType = BusinessType.UPDATE)
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(TdCarrierIssued tdCarrierIssued) {
        tdCarrierIssued.setStatus("5");
        return toAjax(carrierIssuedManager.saveOrUpdate(tdCarrierIssued));
    }
}
