package com.ruoyi.web.controller.manager;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.text.CharSequenceUtil;
import com.ruoyi.common.utils.ShiroUtils;
import com.ruoyi.system.domain.carrier.TdCarrierIssued;
import com.ruoyi.system.service.carrier.TdCarrierIssuedService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * ClassName: TdCarrierIssuedManager
 * Package: com.ruoyi.web.controller.manager
 * Description: 上级下发载体
 *
 * @Author wangxy
 * @Create 2024/9/24 10:21
 * @Version 1.0
 */
@Component
public class CarrierIssuedManager {


    @Resource
    private TdCarrierIssuedService carrierIssuedService;


    public List<TdCarrierIssued> selectTdCarrierList(TdCarrierIssued tdCarrierIssued) {
        return carrierIssuedService.selectTdCarrierList(tdCarrierIssued);
    }

    public List<TdCarrierIssued> selectTdCarrierUpdateList(TdCarrierIssued tdCarrierIssued) {
        return carrierIssuedService.selectTdCarrierUpdateList(tdCarrierIssued);
    }

    public List<TdCarrierIssued> selectTdCarrierUserList(TdCarrierIssued tdCarrierIssued) {
        return carrierIssuedService.selectTdCarrierUserList(tdCarrierIssued);
    }

    public List<TdCarrierIssued> selectTdCarrierSaveList(TdCarrierIssued tdCarrierIssued) {
        return carrierIssuedService.selectTdCarrierSaveList(tdCarrierIssued);
    }

    public boolean saveOrUpdate(TdCarrierIssued tdCarrierIssued) {
        if (CharSequenceUtil.isNotBlank(tdCarrierIssued.getId())) {
            tdCarrierIssued.setUpdateBy(ShiroUtils.getSysUser().getLoginName());
            tdCarrierIssued.setUpdateTime(new Date());
        } else {
            tdCarrierIssued.setCreateBy(ShiroUtils.getSysUser().getLoginName());
            tdCarrierIssued.setCreateTime(new Date());
        }
        tdCarrierIssued.setDeptId(ShiroUtils.getSysUser().getDeptId());
        return carrierIssuedService.saveOrUpdate(tdCarrierIssued);
    }


    public TdCarrierIssued selectTdCarrier(String id) {
        return carrierIssuedService.getById(id);
    }

    public boolean deletedTdCarrierByids(String ids) {
        List<String> list = Arrays.asList(Convert.toStrArray(ids));
        return carrierIssuedService.removeByIds(list);
    }


    public boolean updateStatus(String id) {
        return carrierIssuedService.lambdaUpdate()
                .eq(TdCarrierIssued::getId,id)
                .set(TdCarrierIssued::getStatus,"3")
                .set(TdCarrierIssued::getReclaimTime,new Date())
                .update();
    }

}
