package com.ruoyi.web.controller.manager;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.text.CharSequenceUtil;
import com.ruoyi.common.utils.ShiroUtils;
import com.ruoyi.system.domain.secreting.TdSecreting;
import com.ruoyi.system.service.secreting.TdSecretingService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * packageName com.ruoyi.web.controller.manager
 *
 * @author luo
 * @version JDK 8
 * @className SecretManager
 * @description 定密
 */

@Component
public class SecretManager {

    @Resource
    private TdSecretingService secretingService;


    public List<TdSecreting> selectSecretList(TdSecreting tdSecreting) {
        return secretingService.selectSecretList(tdSecreting);
    }

    public boolean saveOrUpdate(TdSecreting tdSecreting) {
        if (CharSequenceUtil.isNotBlank(tdSecreting.getId())) {
            tdSecreting.setUpdateBy(ShiroUtils.getSysUser().getLoginName());
            tdSecreting.setUpdateTime(new Date());
        } else {
            tdSecreting.setCreateBy(ShiroUtils.getSysUser().getLoginName());
            tdSecreting.setCreateTime(new Date());
        }
        tdSecreting.setDeptId(ShiroUtils.getSysUser().getDeptId());
        return secretingService.saveOrUpdate(tdSecreting);
    }

    public TdSecreting selectSecreting(String id) {
        return secretingService.getById(id);
    }

    public boolean deleteSecretingByIds(String ids) {
        List<String> list = Arrays.asList(Convert.toStrArray(ids));
        return secretingService.removeByIds(list);
    }


}



