package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 
 * @author 13560
 * @TableName td_meeting
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdMeeting extends BaseEntity {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 主题
     */
    @Excel(name = "会议主题")
    private String meetingTitle;

    /**
     * 时间
     */
    @Excel(name = "会议时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meetingTime;

    /**
     * 地点
     */
    @Excel(name = "地点")
    private String meetingAddress;

    /**
     * 参会人数
     */
    @Excel(name = "参会人数")
    private Integer meetingUsernum;

    /**
     * 主办方
     */
    @Excel(name = "主办方")
    private String meetingHost;

    /**
     * 会议类型
     */
    @Excel(name = "会议类型",readConverterExp = "0=线上会议,1=线下会议")
    private String meetingType;

    /**
     * 会议状态（未召开，已召开）
     */
    @Excel(name = "会议状态",readConverterExp = "0=未召开,1=已召开")
    private String meetingState;

    /**
     * 议程
     */
    private String agenda;

    /**
     * 会议纪要
     */
    @Excel(name = "会议纪要")
    private String summary;

    /**
     * 相关文件
     */
    private String fileUrl;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 部门
     */
    private Long deptId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}