package com.ruoyi.system.domain.carrier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 载体下发
 * @TableName td_carrier_issued
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCarrierIssued extends BaseEntity {
    /**
     * id
     */
    @TableId
    private String id;


    /**
     * 载体名称
     */
    @Excel(name = "载体名称")
    private String carrierName;

    /**
     * 载体数量
     */
    @Excel(name = "载体数量")
    private String carrierCount;

    /**
     * 载体类型
     */
    @Excel(name = "载体类型",readConverterExp = "1=纸介质,2=光介质,3=磁介质,4=半导体")
    private String carrierLevel;

    /**
     * 紧急程度
     */
    @Excel(name = "紧急程度",readConverterExp = "0=普通,1=紧急,2=加急")
    private String carrierExtent;

    /**
     * 密级
     */
    @Excel(name = "密级",readConverterExp = "0=秘密,1=机密,2=绝密")
    private String carrierSecret;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String carrierNumber;

    /**
     * 保密期限
     */
    @Excel(name = "保密期限")
    private String carrierTerm;

    /**
     * 发放范围
     */
    @Excel(name = "发放范围")
    private String carrierContent;
    /**
     * 市州
     */
    @Excel(name = "市州")
    private String areaCity;

    /**
     * 区县
     */
    @Excel(name = "区县")
    private String areaDistrict;

    /**
     * 使用要求
     */
    private String mentsUse;

    /**
     * 使用开始时间
     */
    private Date mentsTime;

    /**
     * 使用结束时间
     */
    private Date mentsendTime;

    /**
     * 使用期限
     */
    private String expirationTime;

    /**
     * 使用人员
     */
    private String usageUser;

    /**
     * 回收时间
     */
    private Date reclaimTime;

    /**
     * 保存地点
     */
    private String saveLocation;

    /**
     * 地点要求
     */
    private String locationRequire;

    /**
     * 维护部门
     */
    private String maintainDepart;

    /**
     * 维护人员
     */
    private String maintainUser;

    /**
     * 维护日期
     */
    private Date maintainDate;

    /**
     * 销毁部门
     */
    private String destoryDepart;

    /**
     * 销毁人员
     */
    private String destoryUser;

    /**
     * 销毁日期
     */
    private Date destoryDate;

    /**
     * 销毁方式
     */
    private String destoryManner;

    /**
     * 状态
     */
    private String status;

    /**
     * 维护旁站人员
     */
    private String maintainStand;

    /**
     * 销毁旁站人员
     */
    private String destoryStand;

    /**
     * 下发单位
     */
    private String issuedDept;


    /**
     * 部门
     */
    private Long deptId;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}