package com.ruoyi.system.domain.check.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 检查报告结果
 * @author 13560
 * @TableName td_check_report
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CheckReportDTO extends BaseEntity {
    /**
     * id
     */
    @TableId
    private String checkId;

    /**
     * 报告人员
     */
    @Excel(name = "检查人员")
    private String adduser;

    /**
     * 报告人单位
     */
    @Excel(name = "检查单位")
    private String depart;

    /**
     * 检查开始时间
     */
    @Excel(name = "检查开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String checkStartTime;

    /**
     * 检查结束时间
     */
    @Excel(name = "检查结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String checkEndTime;

    /**
     * 检查类型（0.自检 1.保密局检查）
     */
    private String checkType;

    /**
     * 市州
     */
    @Excel(name = "所属市州")
    private String framework;

    /**
     * 地区
     */
    @Excel(name = "所属区县")
    private String area;


    /**
     * 检查状态（0：通过1：未通过2：待检查）
     */
    private String checkState;

    /**
     * 检查人名
     */
    private String checkName;

    /**
     * 实有项目总分
     */
    @Excel(name = "实有项目总分")
    private String totalScore;

    /**
     * 实有项目得分
     */
    @Excel(name = "实有项目得分")
    private String realScore;

    /**
     * 得分占比
     */
    @Excel(name = "得分占比")
    private String percentageScore;


    /**
     * 部门
     */
    private Long deptId;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}