package com.ruoyi.system.service.check.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.domain.check.TdCheckReport;
import com.ruoyi.system.domain.check.dto.CheckReportDTO;
import com.ruoyi.system.domain.count.CheckResultCountDTO;
import com.ruoyi.system.domain.count.CheckTypeCountDTO;
import com.ruoyi.system.domain.count.PropertyManagerDTO;
import com.ruoyi.system.mapper.check.TdCheckReportMapper;
import com.ruoyi.system.mapper.place.TdPlaceMapper;
import com.ruoyi.system.service.check.TdCheckReportService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author 13560
* @description 针对表【td_check_report(检查报告结果)】的数据库操作Service实现
* @createDate 2024-08-15 11:15:02
*/
@Service
public class TdCheckReportServiceImpl extends ServiceImpl<TdCheckReportMapper, TdCheckReport>
    implements TdCheckReportService {

    @Resource
    private TdCheckReportMapper checkReportMapper;

    @DataScope(deptAlias = "d")
    @Override
    public List<TdCheckReport> selectTdCheckReportList(CheckReportDTO tdCheckReport) {
        return checkReportMapper.selectTdCheckReportList(tdCheckReport);
    }

    @Override
    public List<TdCheckReport> selectTdCheckResultList(TdCheckReport tdCheckReport) {
        return checkReportMapper.selectTdCheckResultList(tdCheckReport);
    }

    @Override
    public CheckResultCountDTO selectResultCount() {
        return checkReportMapper.selectResultCount();
    }

    @Override
    public CheckTypeCountDTO selectTypeCount() {
        return checkReportMapper.selectTypeCount();
    }

    @Override
    public Double countSecretsWxMonth(PropertyManagerDTO propertyManagerDTO) {
        return checkReportMapper.countSecretsWxMonth(propertyManagerDTO);
    }
}




